/* *INDENT-OFF* */ /* THIS FILE IS GENERATED */

/* A register protocol for GDB, the GNU debugger.
   Copyright 2001, 2002 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* This file was created with the aid of ``regdat.sh'' and ``../../../gdb/gdbserver/../regformats/reg-sparc64.dat''.  */

#include "server.h"
#include "regdef.h"

struct reg regs_sparc64[] = {
  { "g0", 0, 64 },
  { "g1", 64, 64 },
  { "g2", 128, 64 },
  { "g3", 192, 64 },
  { "g4", 256, 64 },
  { "g5", 320, 64 },
  { "g6", 384, 64 },
  { "g7", 448, 64 },
  { "o0", 512, 64 },
  { "o1", 576, 64 },
  { "o2", 640, 64 },
  { "o3", 704, 64 },
  { "o4", 768, 64 },
  { "o5", 832, 64 },
  { "sp", 896, 64 },
  { "o7", 960, 64 },
  { "l0", 1024, 64 },
  { "l1", 1088, 64 },
  { "l2", 1152, 64 },
  { "l3", 1216, 64 },
  { "l4", 1280, 64 },
  { "l5", 1344, 64 },
  { "l6", 1408, 64 },
  { "l7", 1472, 64 },
  { "i0", 1536, 64 },
  { "i1", 1600, 64 },
  { "i2", 1664, 64 },
  { "i3", 1728, 64 },
  { "i4", 1792, 64 },
  { "i5", 1856, 64 },
  { "fp", 1920, 64 },
  { "i7", 1984, 64 },
  { "f0", 2048, 32 },
  { "f1", 2080, 32 },
  { "f2", 2112, 32 },
  { "f3", 2144, 32 },
  { "f4", 2176, 32 },
  { "f5", 2208, 32 },
  { "f6", 2240, 32 },
  { "f7", 2272, 32 },
  { "f8", 2304, 32 },
  { "f9", 2336, 32 },
  { "f10", 2368, 32 },
  { "f11", 2400, 32 },
  { "f12", 2432, 32 },
  { "f13", 2464, 32 },
  { "f14", 2496, 32 },
  { "f15", 2528, 32 },
  { "f16", 2560, 32 },
  { "f17", 2592, 32 },
  { "f18", 2624, 32 },
  { "f19", 2656, 32 },
  { "f20", 2688, 32 },
  { "f21", 2720, 32 },
  { "f22", 2752, 32 },
  { "f23", 2784, 32 },
  { "f24", 2816, 32 },
  { "f25", 2848, 32 },
  { "f26", 2880, 32 },
  { "f27", 2912, 32 },
  { "f28", 2944, 32 },
  { "f29", 2976, 32 },
  { "f30", 3008, 32 },
  { "f31", 3040, 32 },
  { "f32", 3072, 64 },
  { "f34", 3136, 64 },
  { "f36", 3200, 64 },
  { "f38", 3264, 64 },
  { "f40", 3328, 64 },
  { "f42", 3392, 64 },
  { "f44", 3456, 64 },
  { "f46", 3520, 64 },
  { "f48", 3584, 64 },
  { "f50", 3648, 64 },
  { "f52", 3712, 64 },
  { "f54", 3776, 64 },
  { "f56", 3840, 64 },
  { "f58", 3904, 64 },
  { "f60", 3968, 64 },
  { "f62", 4032, 64 },
  { "pc", 4096, 64 },
  { "npc", 4160, 64 },
  { "state", 4224, 64 },
  { "fsr", 4288, 64 },
  { "fprs", 4352, 64 },
  { "y", 4416, 64 },
};

const char *expedite_regs_sparc64[] = { "sp", "fp", "pc", "npc", "o7", 0 };
const char *xmltarget_sparc64 = 0;

void
init_registers_sparc64 ()
{
    set_register_cache (regs_sparc64,
			sizeof (regs_sparc64) / sizeof (regs_sparc64[0]));
    gdbserver_expedite_regs = expedite_regs_sparc64;
    gdbserver_xmltarget = xmltarget_sparc64;
}
